ISCHROOT(1)

NOME
ischroot - rileva se è in esecuzione in una chroot

SINTASSI
ischroot [--default-false] [--default-true] [--help] [--version]

DESCRIZIONE

ischroot rileva se è attualmente in esecuzione in una chroot. Lo stato di uscita è:

0   se è attualmente in esecuzione in una chroot

1   se non è attualmente in esecuzione in una chroot

2   se non è possibile fare la rilevazione. (In GNU/Linux ciò accade se lo script non è eseguito come root).

OPZIONI

-f, --default-false
    Termina con stato 1 se la rilevazione non è possibile.

-t, --default-true
    Termina con stato 0 se la rilevazione non è possibile.

--help
    Stampa un messaggio sull'uso sullo standard output e termina con successo.

--version
    Stampa informazioni sulla versione sullo standard output e termina con successo.

BUG
In GNU/Linux, la rilevazione della chroot non è possibile quando non root. Funziona in modo corretto in GNU/Hurd e GNU/kFreeBSD.